path: /build/build/automat-dev-python-25.4.16+2.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-python_targets_pypy3 -python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge dev-python/automat -pv -t && \
    USE="-python_targets_pypy3 -python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge -j ${JOBS} --nodeps dev-python/automat && \
    export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && \
    export LUET_PORTAGE_IGNORE_TAR_WARNING=1 && \
    export LUET_PORTAGE_PKGMETA=1 && \
    export LUET_PORTAGE_PKGFILES=1 && \
    eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/automat && \
    luet-portage --dir /pkgdir/automat dev-python/automat && \
    eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-systemd-dev-tree:ebed9ea0dcd5482f09ecaf12f6f0c7967d1775f94b904d60a8e1d75fa1099605
  package:
    name: automat
    version: 25.4.16+2
    category: dev-python
    use_flags:
    - -python_targets_pypy3
    - -python_targets_python3_10
    - -python_targets_python3_7
    - -python_targets_python3_8
    - python_targets_python3_9
    requires:
    - name: attrs
      version: '>=0'
      category: dev-python
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Self-service finite-state machines for the programmer on the go
    uri:
    - https://pypi.org/project/Automat/
    license: MIT
    buildtimestamp: 2026-07-05 06:29:22.524005135 +0000 UTC m=+81.340062508
    labels:
      BDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_pypy3?
        ( >=dev-python/pypy3-7.3.0:0= ) python_targets_python3_7? ( dev-lang/python:3.7
        ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
        ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        >=dev-python/setuptools-42.0.2[python_targets_python3_10(-)?,python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      DEPEND: dev-python/attrs[python_targets_python3_10(-)?,python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        dev-python/six[python_targets_python3_10(-)?,python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      IUSE: python_targets_python3_10 python_targets_pypy3 python_targets_python3_7
        python_targets_python3_9 python_targets_python3_8
      RDEPEND: dev-python/attrs[python_targets_python3_10(-)?,python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        dev-python/six[python_targets_python3_10(-)?,python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_pypy3?
        ( >=dev-python/pypy3-7.3.0:0= ) python_targets_python3_7? ( dev-lang/python:3.7
        ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
        ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      emerge.packages: dev-python/automat
      kit: python-modules-kit
      original.package.name: dev-python/automat
      original.package.slot: "0"
      original.package.version: 25.4.16
    treedir: /build/packages
  package_dir: /pkgdir/automat
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-systemd-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - {}
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: d8a415cf6a371135253c196cc0dc48ea05c144687c68d3a62215bbf41c021b22
compressiontype: zstd
files:
- usr/bin/automat-visualize
- usr/lib/python-exec/python3.9/automat-visualize
- usr/lib/python3.9/site-packages/Automat-25.4.16-py3.9.egg-info/PKG-INFO
- usr/lib/python3.9/site-packages/Automat-25.4.16-py3.9.egg-info/SOURCES.txt
- usr/lib/python3.9/site-packages/Automat-25.4.16-py3.9.egg-info/dependency_links.txt
- usr/lib/python3.9/site-packages/Automat-25.4.16-py3.9.egg-info/entry_points.txt
- usr/lib/python3.9/site-packages/Automat-25.4.16-py3.9.egg-info/not-zip-safe
- usr/lib/python3.9/site-packages/Automat-25.4.16-py3.9.egg-info/requires.txt
- usr/lib/python3.9/site-packages/Automat-25.4.16-py3.9.egg-info/top_level.txt
- usr/lib/python3.9/site-packages/automat/__init__.py
- usr/lib/python3.9/site-packages/automat/__pycache__/__init__.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/automat/__pycache__/__init__.cpython-39.pyc
- usr/lib/python3.9/site-packages/automat/__pycache__/_core.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/automat/__pycache__/_core.cpython-39.pyc
- usr/lib/python3.9/site-packages/automat/__pycache__/_discover.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/automat/__pycache__/_discover.cpython-39.pyc
- usr/lib/python3.9/site-packages/automat/__pycache__/_introspection.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/automat/__pycache__/_introspection.cpython-39.pyc
- usr/lib/python3.9/site-packages/automat/__pycache__/_methodical.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/automat/__pycache__/_methodical.cpython-39.pyc
- usr/lib/python3.9/site-packages/automat/__pycache__/_runtimeproto.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/automat/__pycache__/_runtimeproto.cpython-39.pyc
- usr/lib/python3.9/site-packages/automat/__pycache__/_typed.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/automat/__pycache__/_typed.cpython-39.pyc
- usr/lib/python3.9/site-packages/automat/__pycache__/_visualize.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/automat/__pycache__/_visualize.cpython-39.pyc
- usr/lib/python3.9/site-packages/automat/_core.py
- usr/lib/python3.9/site-packages/automat/_discover.py
- usr/lib/python3.9/site-packages/automat/_introspection.py
- usr/lib/python3.9/site-packages/automat/_methodical.py
- usr/lib/python3.9/site-packages/automat/_runtimeproto.py
- usr/lib/python3.9/site-packages/automat/_test/__init__.py
- usr/lib/python3.9/site-packages/automat/_test/__pycache__/__init__.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/automat/_test/__pycache__/__init__.cpython-39.pyc
- usr/lib/python3.9/site-packages/automat/_test/__pycache__/test_core.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/automat/_test/__pycache__/test_core.cpython-39.pyc
- usr/lib/python3.9/site-packages/automat/_test/__pycache__/test_discover.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/automat/_test/__pycache__/test_discover.cpython-39.pyc
- usr/lib/python3.9/site-packages/automat/_test/__pycache__/test_methodical.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/automat/_test/__pycache__/test_methodical.cpython-39.pyc
- usr/lib/python3.9/site-packages/automat/_test/__pycache__/test_trace.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/automat/_test/__pycache__/test_trace.cpython-39.pyc
- usr/lib/python3.9/site-packages/automat/_test/__pycache__/test_type_based.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/automat/_test/__pycache__/test_type_based.cpython-39.pyc
- usr/lib/python3.9/site-packages/automat/_test/__pycache__/test_visualize.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/automat/_test/__pycache__/test_visualize.cpython-39.pyc
- usr/lib/python3.9/site-packages/automat/_test/test_core.py
- usr/lib/python3.9/site-packages/automat/_test/test_discover.py
- usr/lib/python3.9/site-packages/automat/_test/test_methodical.py
- usr/lib/python3.9/site-packages/automat/_test/test_trace.py
- usr/lib/python3.9/site-packages/automat/_test/test_type_based.py
- usr/lib/python3.9/site-packages/automat/_test/test_visualize.py
- usr/lib/python3.9/site-packages/automat/_typed.py
- usr/lib/python3.9/site-packages/automat/_visualize.py
- usr/lib/python3.9/site-packages/automat/py.typed
- usr/share/doc/automat-25.4.16/README.md.bz2
- var/db/pkg/dev-python/automat-25.4.16/BDEPEND
- var/db/pkg/dev-python/automat-25.4.16/BUILD_TIME
- var/db/pkg/dev-python/automat-25.4.16/CATEGORY
- var/db/pkg/dev-python/automat-25.4.16/CBUILD
- var/db/pkg/dev-python/automat-25.4.16/CFLAGS
- var/db/pkg/dev-python/automat-25.4.16/CHOST
- var/db/pkg/dev-python/automat-25.4.16/CONTENTS
- var/db/pkg/dev-python/automat-25.4.16/COUNTER
- var/db/pkg/dev-python/automat-25.4.16/CTARGET
- var/db/pkg/dev-python/automat-25.4.16/CXX
- var/db/pkg/dev-python/automat-25.4.16/CXXFLAGS
- var/db/pkg/dev-python/automat-25.4.16/DEFINED_PHASES
- var/db/pkg/dev-python/automat-25.4.16/DEPEND
- var/db/pkg/dev-python/automat-25.4.16/DESCRIPTION
- var/db/pkg/dev-python/automat-25.4.16/EAPI
- var/db/pkg/dev-python/automat-25.4.16/FEATURES
- var/db/pkg/dev-python/automat-25.4.16/HOMEPAGE
- var/db/pkg/dev-python/automat-25.4.16/INHERITED
- var/db/pkg/dev-python/automat-25.4.16/IUSE
- var/db/pkg/dev-python/automat-25.4.16/IUSE_EFFECTIVE
- var/db/pkg/dev-python/automat-25.4.16/KEYWORDS
- var/db/pkg/dev-python/automat-25.4.16/LDFLAGS
- var/db/pkg/dev-python/automat-25.4.16/LICENSE
- var/db/pkg/dev-python/automat-25.4.16/PF
- var/db/pkg/dev-python/automat-25.4.16/RDEPEND
- var/db/pkg/dev-python/automat-25.4.16/SIZE
- var/db/pkg/dev-python/automat-25.4.16/SLOT
- var/db/pkg/dev-python/automat-25.4.16/USE
- var/db/pkg/dev-python/automat-25.4.16/automat-25.4.16.ebuild
- var/db/pkg/dev-python/automat-25.4.16/environment.bz2
- var/db/pkg/dev-python/automat-25.4.16/repository
package_cacheimage: ""
runtime:
  name: automat
  version: 25.4.16+2
  category: dev-python
  use_flags:
  - -python_targets_pypy3
  - -python_targets_python3_10
  - -python_targets_python3_7
  - -python_targets_python3_8
  - python_targets_python3_9
  requires:
  - name: attrs
    version: '>=0'
    category: dev-python
  - name: six
    version: '>=0'
    category: dev-python
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Self-service finite-state machines for the programmer on the go
  uri:
  - https://pypi.org/project/Automat/
  license: MIT
  labels:
    BDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_pypy3?
      ( >=dev-python/pypy3-7.3.0:0= ) python_targets_python3_7? ( dev-lang/python:3.7
      ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      >=dev-python/setuptools-42.0.2[python_targets_python3_10(-)?,python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    DEPEND: dev-python/attrs[python_targets_python3_10(-)?,python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      dev-python/six[python_targets_python3_10(-)?,python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    IUSE: python_targets_python3_10 python_targets_pypy3 python_targets_python3_7
      python_targets_python3_9 python_targets_python3_8
    RDEPEND: dev-python/attrs[python_targets_python3_10(-)?,python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      dev-python/six[python_targets_python3_10(-)?,python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_pypy3? (
      >=dev-python/pypy3-7.3.0:0= ) python_targets_python3_7? ( dev-lang/python:3.7
      ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    emerge.packages: dev-python/automat
    kit: python-modules-kit
    original.package.name: dev-python/automat
    original.package.slot: "0"
    original.package.version: 25.4.16
